Bug 193646 - UEFI Memory stick For 10.1-BETA1 hangs
Summary: UEFI Memory stick For 10.1-BETA1 hangs
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 10.1-STABLE
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Marcel Moolenaar
URL:
Keywords: uefi
Depends on:
Blocks:
 
Reported: 2014-09-14 22:22 UTC by Reuben
Modified: 2016-09-05 16:25 UTC (History)
8 users (show)

See Also:


Attachments
picture of problem (48.69 KB, image/jpeg)
2014-09-14 22:22 UTC, Reuben
no flags Details
VGA output of UEFI Bootloader (506.57 KB, image/png)
2015-03-07 15:38 UTC, marek
no flags Details
text output from serial console (2.39 KB, text/plain)
2015-03-07 15:39 UTC, marek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reuben 2014-09-14 22:22:49 UTC
Created attachment 147333 [details]
picture of problem

I wrote the EFI Mememory stick image for 10.1 Beta 1 to a memory stick, which hangs right after loading the kernel.
Comment 1 Ed Maste freebsd_committer 2014-09-15 14:37:29 UTC
Please add specific hardware details to this PR; this issue has been observed before, but is hardware- (or UEFI firmare-) specific.
Comment 2 Reuben 2014-09-15 18:49:23 UTC
ASUS P8B75-M/CSM w/ intel i5-3330. Do you need any other hardware details?
Comment 3 Ed Maste freebsd_committer 2014-09-16 23:57:39 UTC
It'd be great if you can add the firmware version info too.

I see from the specs that there's a serial port on an internal header.  Is it possible for you to connect to this from another computer and switch to the serial port to test way?

From the keyboard you'd break to the loader prompt and excute:

OK set console=comconsole

then over the serial console

OK boot -v

which should provide more insight into where things fail.
Comment 4 Reuben 2014-09-17 06:31:40 UTC
It says version 2.10.1208.

Sorry, I have nothing else to connect a serial cable to.
Comment 5 Reuben 2014-10-12 18:01:30 UTC
Same behavior on RC2.
Comment 6 North 2015-01-20 23:19:55 UTC
Just a through????

Bug 194793
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=194793

The above bug is also reported to fail on an asus system 

with American Megatrends firmware and the same EFI version: 2.31
Comment 7 Marcus von Appen freebsd_committer freebsd_triage 2015-02-18 11:54:21 UTC
Updated 10.1-BETA and 10.1-RC versioned bugs to 10.1-STABLE.
Comment 8 marek 2015-03-07 15:38:25 UTC
Created attachment 153959 [details]
VGA output of UEFI Bootloader
Comment 9 marek 2015-03-07 15:39:20 UTC
Created attachment 153960 [details]
text output from serial console
Comment 10 marek 2015-03-07 15:39:40 UTC
I have the same problem with Asus J1900I-C: http://www.asus.com/Motherboards/J1900IC/

Please check my output in attached files:
Asus J1900I-C UEFI Bootloader VGA.jpg - VGA output of UEFI Bootloader
Asus J1900I-C UEFI Bootloader Comconsole.txt - text output from serial console

To get serial console output I needed to disable CSM (Compatibility Support Module) in the UEFI configuration. Disabling CMS causes that is impossible to boot legacy OS.

With CSM enabled and booting with UEFI mode I got the only:
Start @ 0xffffffff802db5c0 ...
/

The motherboard has the newest firmware version: J1900I-C BIOS 0610
Boot image: FreeBSD-10.1-RELEASE-amd64-uefi-memstick.img
Comment 11 Glen Barber freebsd_committer 2015-07-07 14:48:10 UTC
Adding re@ to CC, although I think it is unlikely this will be resolved before 10.2-RELEASE (I have the same problem on my laptop...).
Comment 12 Ed Maste freebsd_committer 2015-08-12 01:10:41 UTC
If possible can you please test the patch (or prebuilt image) in 191564?
Comment 13 Marcel Moolenaar freebsd_committer 2015-08-12 16:00:31 UTC
This is believed to be fixed for everybody in FreeBSD -current as of today (revision 286667). Please test at your earliest convenience.